-- Prepare to set new constraint, remove all orphan data
DELETE FROM users.user_property 
	WHERE username NOT IN 
		(SELECT username FROM users.user);

-- Change type of username column to be same as in users.user table
ALTER TABLE users.user_property
    ALTER COLUMN username TYPE character varying(250);

-- Set foreign key for username column
ALTER TABLE users.user_property 
	ADD CONSTRAINT fk_user_username
	FOREIGN KEY (username) 
	REFERENCES users.user (username)
	ON DELETE CASCADE;

INSERT INTO framework.db_version(patch_number, patch_date) VALUES (93, current_timestamp);